+ Le chant du vario +

Forum de parapente

23 Juin 2018 - 02:45:41 *
Bienvenue, Invité. Veuillez vous connecter ou vous inscrire.
Avez-vous perdu votre mot de passe ?
Avez-vous perdu votre courriel d'activation?

Connexion avec identifiant, mot de passe et durée de la session
  Site   forum   Aide Groupes Calendrier Identifiez-vous Inscrivez-vous        GPS2GE Balises  
windriders
flysierranevada
Soaring
CSC
best-flying
prevol
Pages: 1 2 [3] 4 5   Bas de page
  Envoyer ce fil  |  Imprimer  
Auteur Fil de discussion: logfly - portage linux  (Lu 16321 fois)
0 Membres et 1 Invité sur ce fil de discussion.
Poisson Kangourou
zéroteur (se)
****
Hors ligne Hors ligne

Aile: ITV Jedi 2
pratique principale: vol / site
vols: 150 vols
Messages: 44


« Répondre #50 le: 03 Septembre 2017 - 22:25:17 »

Je viens aussi de faire un autre test avec une autre machine sous Linux Mint 18.1 XFCE avec laquelle il n'y a pas de problème.
Pour celle pour laquelle il y a un problème, j'ai tenté de désinstaller / réinstaller plusieurs fois, sans succès. Cela ressemble à un problème de chemin.
Signaler au modérateur   parapente Enregistrée
giloutho
Animateur
zéroteur (se)
*
Hors ligne Hors ligne

Aile: En attente
pratique principale: vol / site
Messages: 58


« Répondre #51 le: 28 Novembre 2017 - 23:42:50 »

Une première tentative avec un paquet Debian... Voir le post sur la nouvelle alpha de Logfly 5.
Signaler au modérateur   parapente Enregistrée
Aime-P
plouffeur(se)
***
Hors ligne Hors ligne

Aile: 777 P-Light pour le vol-rando et les jours un peu venteux, 777 Rook2 S pour les autres vols
pratique principale: autre (?)
vols: Ca fait longtemps que je ne compte plus mes vols
Messages: 26



« Répondre #52 le: 02 Décembre 2017 - 11:03:43 »

Gilles a raison, les problèmes des linuxiens sont plus à leur place ici.

Donc mon souci, je rappelle : Si je lance Logfly via le raccourci, ça s'ouvre et ça se ferme dès qu'il tente d'ouvrir la base - celle que j'utilise depuis plusieurs années avec wine et logfly version 4.

J'ai cru l'affaire réglée. En effet, j'ai installé le package "openjfx". J'ai pu ouvrir une nouvelle base, vide, et y importer une trace. Youpie, me dis-je, affaire résolue. Mais quand j'ai remplacé avec ma base à moi, qui contient des années de vols et de traces, ça marche toujours pas. En lançant depuis un terminal avec la commande ./Logfly5 afin d'avoir les messages d'erreur, voilà le message d'erreur :

C'est dans le clipboard...
[thread 139675122525952 also had an error]#

# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007f0963d01840, pid=2880, tid=0x00007f08a5afa700
#
# JRE version: Java(TM) SE Runtime Environment (8.0_151-b12) (build 1.8.0_151-b12)
# Java VM: Java HotSpot(TM) 64-Bit Server VM (25.151-b12 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libc.so.6+0x73840]  fgets_unlocked+0x10
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /opt/Logfly5/app/hs_err_pid2880.log
#
# If you would like to submit a bug report, please visit:
#   http://bugreport.java.com/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
Abandon

Soupir.
Signaler au modérateur   parapente Enregistrée

C'est mieux les Pyrénées. Je maintiens.
xbug
zéroteur (se)
****
Hors ligne Hors ligne

Aile: Swift4
pratique principale: apprends à voler
vols: 400h / 350 vols
Messages: 73



« Répondre #53 le: 14 Décembre 2017 - 11:53:30 »

Gil, tu as pu regarder le problème de Aime-P ?
Si non, je peux essayer de reproduire le problème de mon côté, mais pour ça il faudrait que tu m'envoies ta base Aime-P (mon adresse email est dans mon profil).
Signaler au modérateur   parapente Enregistrée

giloutho
Animateur
zéroteur (se)
*
Hors ligne Hors ligne

Aile: En attente
pratique principale: vol / site
Messages: 58


« Répondre #54 le: 14 Décembre 2017 - 20:08:40 »

 salut ! xbug

Dans la vraie vie j'ai un boulot plutôt cool mais il y a deux périodes où je ne touche pas terre c'est décembre et février. Donc ...vivement janvier  Mr. Green

J'ai en ce moment très peu de temps à consacrer à  Logfly et je n'ai pas ouvert la machine Linux depuis un moment. En ce qui concerne Aime-P on a clairement affaire à un problème de configuration de sa machine. Il m'a envoyé son carnet de vol utilisé depuis longtemps, cela marche parfaitement sur ma machine de test linux  (Xubuntu 64 bits). Ce test est naturellement réalisé avec la version installée avec le paquet .deb généré par Gradle.

Citation
J'ai pu ouvrir une nouvelle base, vide, et y importer une trace... ma base à moi... ça marche toujours pas
Donc le problème se situerait au niveau de la librairie SQLite. Est ce qu'il peut y avoir sur la machine d'Aime-P une librairie SQLite qui serait appelée et qui serait incompatible ? En principe il devrait appeler la librairie du paquet Logfly. J'avoue ne pas être compétent. Sinon j'ai une ébauche de module d'export-import. Je finalise, je fais l'export et Aime-P tente l'import sur sa machine.

Si j'en crois certains termes du message d'Aime-P, il n'a pas (ou pas pu) utilisé le paquet généré par Gradle. Car en aucun cas il n'aurait eu à faire cela :
Citation
j'ai installé le package "openjfx
La particularité (ou l'inconvénient) du  paquet généré par Gradle est qu'il embarque un java runtime et toutes les librairies utilisées afin d'éviter un problème de compatibilité. Donc en théorie si on lance le programme installé il appelle le runtime embarqué et non pas celui de la machine.

Je ne sais vraiment pas quoi dire de plus.

Un utilisateur de Logfly très versé dans le système Linux m'a proposé de réaliser un paquet plus conforme à la norme. Ni lui ni moi n'avons eu pour l'instant un moment de libre pour discuter de tout cela et mettre un bout d'essai en ligne. Mais patience cela va venir et permettra peut être d'éviter ce genre de soucis.

Signaler au modérateur   parapente Enregistrée
Aime-P
plouffeur(se)
***
Hors ligne Hors ligne

Aile: 777 P-Light pour le vol-rando et les jours un peu venteux, 777 Rook2 S pour les autres vols
pratique principale: autre (?)
vols: Ca fait longtemps que je ne compte plus mes vols
Messages: 26



« Répondre #55 le: 16 Décembre 2017 - 08:47:47 »

Bonjour,
Une précision : "Aime-P" c'est ELLE pas IL (voui, y'a aussi des filles qui volent, et depuis longtemps, et qui bidouillent en CLI sous linux)

Merci de vous soucier de l'incompatibilité, je me doute que c'est un problème de paquets, toute la question va être de trouver lequel ou lesquels et comment résoudre le problème.

Donc pour reprendre depuis le début : j'ai installé Logfly en téléchargeant le deb ici http://www.logfly.org/download/logfly5/logfly5-13.deb et en l'installant avec gdebi. Je ne suis pas sous ubuntu (ou xubuntu qui est la même chose au bureau près), je suis sous debian, avec un bureau xfce.
Après installation de Logfly5, j'ai installé le paquet openjfx, qui a facilité les choses dans le sens où Logfly a accepté de se lancer.

Quand je lance Logfly5 pour la première fois, il s'ouvre, me permet de télécharger une trace, voire un dossier de traces. Mais certaines fonctions sont inopérantes : ni calendrier, ni statistiques, je ne peux cliquer à gauche que sur Carnet, Import GPS, Import disque, Trace externe. Si je ferme ensuite Logfly et que je veux le réouvrir, toujours la même erreur :
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007f536649c840, pid=16813, tid=0x00007f5277fff700
#
# JRE version: Java(TM) SE Runtime Environment (8.0_151-b12) (build 1.8.0_151-b12)
# Java VM: Java HotSpot(TM) 64-Bit Server VM (25.151-b12 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libc.so.6+0x73840]  fgets_unlocked+0x10
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /tmp/hs_err_pid16813.log
#
# If you would like to submit a bug report, please visit:
#   http://bugreport.java.com/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
Abandon


Donc le problème ne vient pas de la vieille base, il est identique avec une base toute neuve dans laquelle il n'y a que quelques traces.

Je veux bien essayer de tester une manip via gradle si quelqu'un prend la peine de me donner quelques indications sur la marche à suivre, les paquets à installer et les fichiers à récupérer. Merci.
Signaler au modérateur   parapente Enregistrée

C'est mieux les Pyrénées. Je maintiens.
xbug
zéroteur (se)
****
Hors ligne Hors ligne

Aile: Swift4
pratique principale: apprends à voler
vols: 400h / 350 vols
Messages: 73



« Répondre #56 le: 18 Décembre 2017 - 12:49:22 »

Salut Aime-P,

A mon avis, le problème vient du fait que tu utilises un paquet ubuntu pas super bien ficelé sur une machine debian.

Si tu as un JDK, pourquoi n'essaies-tu pas de compiler ? C'est pas bien compliqué.

Il faut installer git et gradle (si ce n'est pas déjà fait) :
apt-get install git gradle

Puis récupérer les sources :
git clone https://github.com/giloutho/Logfly.git

Et enfin compiler et lancer le programme :
cd Logfly
gradle jfxRun
Signaler au modérateur   parapente Enregistrée

Aime-P
plouffeur(se)
***
Hors ligne Hors ligne

Aile: 777 P-Light pour le vol-rando et les jours un peu venteux, 777 Rook2 S pour les autres vols
pratique principale: autre (?)
vols: Ca fait longtemps que je ne compte plus mes vols
Messages: 26



« Répondre #57 le: 26 Décembre 2017 - 19:19:48 »

Encore merci pour les indications, je les ai suivies. Mais ça marche pas (zut alors).

Voilà le message d'erreur :
gradle jfxRun

FAILURE: Build failed with an exception.

* Where:
Build file '/home/my/way/to/Logfly_src/Logfly/build.gradle' line: 44

* What went wrong:
A problem occurred evaluating root project 'logfly'.
> de/dynamicfiles/projects/gradle/plugins/javafx/JavaFXGradlePlugin : Unsupported major.minor version 52.0

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 4.082 secs


Logfly ne semble pas compatible avec ma distribution. Une idée de solution ?
 
Signaler au modérateur   parapente Enregistrée

C'est mieux les Pyrénées. Je maintiens.
xbug
zéroteur (se)
****
Hors ligne Hors ligne

Aile: Swift4
pratique principale: apprends à voler
vols: 400h / 350 vols
Messages: 73



« Répondre #58 le: 03 Janvier 2018 - 13:46:11 »

Salut Aime-P,

Ce genre d'erreur (Unsupported major.minor version xx.yy) veut dire que tu essayes d'utiliser un programme java compilé pour une version plus récente que ton JRE/JDK.

Logfly nécessite Java 8 ou plus, et je suppose que tu as une version de Java inférieure à 8. Pour t'en assurer :
java -version

Pour installer Java 8, j'utilisais ça à un moment sur debian :
http://www.webupd8.org/2014/03/how-to-install-oracle-java-8-in-debian.html

Note que ton ancien JDK continue d'exister après cela.
Pour configurer la version de java par défaut :
update-alternatives --config java

Dis moi si ça fonctionne...
Signaler au modérateur   parapente Enregistrée

Aime-P
plouffeur(se)
***
Hors ligne Hors ligne

Aile: 777 P-Light pour le vol-rando et les jours un peu venteux, 777 Rook2 S pour les autres vols
pratique principale: autre (?)
vols: Ca fait longtemps que je ne compte plus mes vols
Messages: 26



« Répondre #59 le: 03 Janvier 2018 - 18:59:51 »

Je te remercie.
Je me méfie un peu des PPA. A l'heure actuelle, j'ai une version 8, mais ce n'est pas oracle, c'est openJDK :
Code:
java -version
openjdk version "1.8.0_131"
OpenJDK Runtime Environment (build 1.8.0_131-8u131-b11-1~bpo8+1-b11)
OpenJDK 64-Bit Server VM (build 25.131-b11, mixed mode)


ça m'est arrivé une fois d'avoir un programme qui voulait java le vrai celui d'Oracle et pas un clone, Logfly serait aussi intégriste ?
Signaler au modérateur   parapente Enregistrée

C'est mieux les Pyrénées. Je maintiens.
Gej
zéroteur (se)
****
Hors ligne Hors ligne

Aile: poreuse ...
pratique principale: apprends à voler
vols: 300 vols
Messages: 45



« Répondre #60 le: 03 Janvier 2018 - 20:35:36 »

Sur mon Mint,  OpenJDK est encore plus vieux ...
Code:
$ java -version
java version "1.6.0_41"
OpenJDK Runtime Environment (IcedTea6 1.13.13) (6b41-1.13.13-0ubuntu0.12.04.1)
OpenJDK 64-Bit Server VM (build 23.41-b41, mixed mode)

Sur Ubuntu j'ai plus récent, et c'est OK pour les 2...
Code:
java -version
openjdk version "9-internal"
OpenJDK Runtime Environment (build 9-internal+0-2016-04-14-195246.buildd.src)
OpenJDK 64-Bit Server VM (build 9-internal+0-2016-04-14-195246.buildd.src, mixed mode)
Signaler au modérateur   parapente Enregistrée
Tipix
zéroteur (se)
****
Hors ligne Hors ligne

Aile: vole bien
pratique principale: vol rando
vols: Plus de 20 ans de vols
Messages: 73



« Répondre #61 le: 03 Janvier 2018 - 22:34:55 »

Bonjour

HS quoique,je voudrais me prendre un portable dédié à Linux et je voulais savoir quelle distribution est la meilleure pour faire

tourner un programme comme Logfly par exemple,ou Darktable pour la photo.

Je n'y connais rien ,mais j'ai entendu parler de Ubuntu,Debian ou Mint.

Désolé pour le HS
Signaler au modérateur   parapente Enregistrée

Je suis parti de rien pour arriver à pas grand chose.
xbug
zéroteur (se)
****
Hors ligne Hors ligne

Aile: Swift4
pratique principale: apprends à voler
vols: 400h / 350 vols
Messages: 73



« Répondre #62 le: 04 Janvier 2018 - 08:28:15 »

Aime-P,

Tu peux vérifier ton JAVA_HOME stp ?
echo $JAVA_HOME

Regarde où est localisée ta JVM :
ls -l /usr/lib/jvm

Dans mon cas, openjdk est localisé ici : /usr/lib/jvm/java-1.8.0-openjdk-amd64

Et tester :
export JAVA_HOME=/usr/lib/jvm/ta_jvm
gradle jfxRun

Signaler au modérateur   parapente Enregistrée

xbug
zéroteur (se)
****
Hors ligne Hors ligne

Aile: Swift4
pratique principale: apprends à voler
vols: 400h / 350 vols
Messages: 73



« Répondre #63 le: 04 Janvier 2018 - 08:36:05 »

Gej,

Tu es sur que tu n'as pas un autre JDK/JRE qui traine sur ton Mint ?
Ça me semble vraiment impossible que ça puisse tourner sur un OpenJDK 1.6...

Citation de: build.gradle
sourceCompatibility = '1.8'

Sans compter JavaFX...

Tu utilises le package ou bien tu compiles ?
Ton JAVA_HOME vaut quoi ?
Signaler au modérateur   parapente Enregistrée

Aime-P
plouffeur(se)
***
Hors ligne Hors ligne

Aile: 777 P-Light pour le vol-rando et les jours un peu venteux, 777 Rook2 S pour les autres vols
pratique principale: autre (?)
vols: Ca fait longtemps que je ne compte plus mes vols
Messages: 26



« Répondre #64 le: 04 Janvier 2018 - 12:03:23 »

Bien vu Xbug !

Le JAVA_HOME pointait obstinément sur le jdk 7... Merci, je n'avais pas pensé à cette variable !
Donc je progresse mais ce n'est pas tout à fait ça quand même. Je reprends.

Pour repartir sur quelque chose de propre, j'ai supprimé tout ce qui s'était créé dans /opt, j'ai supprimé les sources que j'avais téléchargées avec la commande
Code:
git clone https://github.com/giloutho/Logfly.git
et j'ai refait les manip : télécharger les sources, lancer
Code:
gradle jfxRun
et là, c'est assez concluant :
Code:
:compileJava UP-TO-DATE
:processResources UP-TO-DATE
:classes UP-TO-DATE
:jar UP-TO-DATE
:jfxJar
:jfxRun
Running JavaFX Application
> Building 83% > :jfxRunjanv. 04, 2018 11:18:13 AM systemio.mylogging log
GRAVE: liveUpdate.checkUpdate.runChecking
java.net.MalformedURLException: no protocol: url live update/latest.inf
liveUpdate.checkUpdate.runChecking
java.net.MalformedURLException: no protocol: url live update/latest.inf

Logfly s'ouvre et je peux sélectionner ma base de données, le terminal affiche des petites infos :
Code:
Décodage IGC : 0.019 secondes.
Verif_Tb_Tot_Points : 0.006 secondes.
Décodage IGC : 0.016 secondes.
Verif_Tb_Tot_Points : 0.001 secondes.

Je peux insérer une nouvelle trace (depuis un dossier, parce que Logfly ne lit pas directement mon Garmin GPSMAP) :
Code:
Décodage IGC : 0.008 secondes.
Verif_Tb_Tot_Points : 0.002 secondes.
Nombre de traces : 45
Opération effectuée en: 0.001 secondes.
Décodage IGC : 0.002 secondes.
Verif_Tb_Tot_Points : 0.001 secondes.
Insertion OK
Décodage IGC : 0.001 secondes.
Verif_Tb_Tot_Points : 0.001 secondes.
Je peux aussi visualiser une trace externe.

MAIS je ne peux rien faire d'autre.
Les menus "Calendrier Statistiques Sites" etc. sont inopérants.

Pour voir,  j'ai retenté l'installation via le deb à télécharger (logfly5-13.deb). Installation sans problème, mais le lanceur par défaut semble appeler le jre fourni avec Logfly, ce qui le fait planter. En revanche,
Code:
java -jar /opt/Logfly5/app/Logfly.jar
lance convenablement logfly et aboutit au même résultat qu'en ayant compilé : ouverture de la bd OK mais commandes réduites.

En tout cas, encore merci Xbug pour toutes ces indications. Un jour, j'aurai Logfly directement opérationnel sous linux, je le sens  très heureux
Signaler au modérateur   parapente Enregistrée

C'est mieux les Pyrénées. Je maintiens.
xbug
zéroteur (se)
****
Hors ligne Hors ligne

Aile: Swift4
pratique principale: apprends à voler
vols: 400h / 350 vols
Messages: 73



« Répondre #65 le: 04 Janvier 2018 - 12:13:48 »

Aime-P,

Cool que le problème soit résolu Sourire

La mauvaise nouvelle, c'est que le portage de Logfly 5 n'est pas encore terminé. Il manque encore plein de trucs.
La bonne nouvelle, c'est donc qu'il est normal que tu ais tous ces menus inopérants...

Signaler au modérateur   parapente Enregistrée

Aime-P
plouffeur(se)
***
Hors ligne Hors ligne

Aile: 777 P-Light pour le vol-rando et les jours un peu venteux, 777 Rook2 S pour les autres vols
pratique principale: autre (?)
vols: Ca fait longtemps que je ne compte plus mes vols
Messages: 26



« Répondre #66 le: 04 Janvier 2018 - 12:21:32 »

Bonjour

HS quoique,je voudrais me prendre un portable dédié à Linux et je voulais savoir quelle distribution est la meilleure pour faire

tourner un programme comme Logfly par exemple,ou Darktable pour la photo.

Je n'y connais rien ,mais j'ai entendu parler de Ubuntu,Debian ou Mint.

Désolé pour le HS

Tu vois sur ce fil que le passage d'une distribution à une autre n'est pas trivial : Logfly est compilé pour les distributions Ubuntu et j'ai toutes les peines du monde à le rendre opérationnel sous Debian.
Des distributions linux, il y en a à la pelle, bien trop pour te répondre simplement, d'autant que je ne sais pas du tout ce qu'est Darktable. Et chacune présente des avantages et des inconvénients qui sont à peser en fonction de l'utilisation que tu veux faire de ta machine.
Pour ma part, j'ai un portable très léger, je voulais donc une distribution très légère aussi, Ubuntu ne me plait plus parce que c'est devenu bien trop gourmand en ressources. Si ton portable est un peu ancien, je te suggère de ne pas y installer Ubuntu, à moins que ça ne te dérange pas une machine qui rame. Mais si tu dois avoir une utilisation "à la windows", c’est-à-dire sans vouloir forcément comprendre ce qui se passe "sous le capot" et surtout sans utiliser la moindre ligne de commande, fonce sur Ubuntu, c'est une distrib grand public, bien documentée (quoique les puristes, pour lesquels j'ai une grande sympathie, considèrent que Ubuntu n'est pas/plus Linux...  Sourire )
Signaler au modérateur   parapente Enregistrée

C'est mieux les Pyrénées. Je maintiens.
Aime-P
plouffeur(se)
***
Hors ligne Hors ligne

Aile: 777 P-Light pour le vol-rando et les jours un peu venteux, 777 Rook2 S pour les autres vols
pratique principale: autre (?)
vols: Ca fait longtemps que je ne compte plus mes vols
Messages: 26



« Répondre #67 le: 04 Janvier 2018 - 12:24:44 »

La mauvaise nouvelle, c'est que le portage de Logfly 5 n'est pas encore terminé. Il manque encore plein de trucs.
La bonne nouvelle, c'est donc qu'il est normal que tu ais tous ces menus inopérants...

Tu veux dire que j'en suis au même point que tous les linuxiens ? Super  bravo
Y'a plus qu'à patienter, alors !

A bientôt pour de nouvelles aventures...
Signaler au modérateur   parapente Enregistrée

C'est mieux les Pyrénées. Je maintiens.
Tipix
zéroteur (se)
****
Hors ligne Hors ligne

Aile: vole bien
pratique principale: vol rando
vols: Plus de 20 ans de vols
Messages: 73



« Répondre #68 le: 04 Janvier 2018 - 16:44:00 »

Merci pour ta réponse  Aime-P

Je vais donc essayer Ubuntu et tester peut être les autres.

Pour Darktable c'est l'équivalent sous Linux de Lightroom d'Adobe.Si tu prends des photos avec un reflex au format RAW (NEF pour NIKON)

il te faut un logiciel qui te permet de le développer ou derawtiser et de l'exporter en JPEG,format lisible pour impression ou partage sur le web.
Signaler au modérateur   parapente Enregistrée

Je suis parti de rien pour arriver à pas grand chose.
antoinep
passager biplace
*
Hors ligne Hors ligne

Aile: Artik 3
pratique principale: vol / site
vols: 350 vols
Messages: 7



« Répondre #69 le: 04 Janvier 2018 - 19:56:01 »

Je bosses pas mal dans le packaging deb, rpm et arch, donc pourquoi pas en faire un pour logfly bien foutus (si ya besoin) et qui s'integre bien a l'os (pas tapper tous dans /opt comme un goret a la mode redhat collections)

Globalement, vous utilisez quoi les gens comme distribution ?
Signaler au modérateur   parapente Enregistrée
Aime-P
plouffeur(se)
***
Hors ligne Hors ligne

Aile: 777 P-Light pour le vol-rando et les jours un peu venteux, 777 Rook2 S pour les autres vols
pratique principale: autre (?)
vols: Ca fait longtemps que je ne compte plus mes vols
Messages: 26



« Répondre #70 le: 04 Janvier 2018 - 20:21:56 »

Debian 8 Jessie
Signaler au modérateur   parapente Enregistrée

C'est mieux les Pyrénées. Je maintiens.
xbug
zéroteur (se)
****
Hors ligne Hors ligne

Aile: Swift4
pratique principale: apprends à voler
vols: 400h / 350 vols
Messages: 73



« Répondre #71 le: 05 Janvier 2018 - 08:50:22 »

antoinep,

Ubuntu 16.04 LTS pour ma part

Effectivement si tu peux faire et maintenir un "vrai" package Logfly, ça serait top !
Signaler au modérateur   parapente Enregistrée

Gej
zéroteur (se)
****
Hors ligne Hors ligne

Aile: poreuse ...
pratique principale: apprends à voler
vols: 300 vols
Messages: 45



« Répondre #72 le: 06 Janvier 2018 - 01:00:35 »

Bon c'est un peu tard, content que cela marche pour MP!
mais je réponds quand même à la question.

Gej,

Tu es sur que tu n'as pas un autre JDK/JRE qui traine sur ton Mint ?
Ça me semble vraiment impossible que ça puisse tourner sur un OpenJDK 1.6...

Citation de: build.gradle
sourceCompatibility = '1.8'

Sans compter JavaFX...

Tu utilises le package ou bien tu compiles ?
Ton JAVA_HOME vaut quoi ?

Je trouve aussi cela surprenant, mais ça a marché directement en utilisant le package, donc je n'ai pas compilé.
JAVA_HOME et JRE_HOME ne sont pas initialisés sur mon MINT (vérifié avec echo et printenv)
et voici la sortie de  ls -l /usr/lib/jvm
Code:
total 16
lrwxrwxrwx 1 root root   24 oct.  11  2012 default-java -> java-1.6.0-openjdk-amd64
lrwxrwxrwx 1 root root   18 mars  13  2012 java-1.5.0-gcj -> java-1.5.0-gcj-4.6
drwxr-xr-x 6 root root 4096 oct.   8 07:21 java-1.5.0-gcj-4.6
lrwxrwxrwx 1 root root   24 oct.  11  2012 java-1.6.0-openjdk -> java-1.6.0-openjdk-amd64
lrwxrwxrwx 1 root root   20 oct.  11  2012 java-1.6.0-openjdk-amd64 -> java-6-openjdk-amd64
lrwxrwxrwx 1 root root   20 févr.  8  2017 java-1.7.0-openjdk-amd64 -> java-7-openjdk-amd64
lrwxrwxrwx 1 root root   24 oct.  11  2012 java-6-openjdk -> java-1.6.0-openjdk-amd64
drwxr-xr-x 5 root root 4096 mai    3  2012 java-6-openjdk-amd64
drwxr-xr-x 3 root root 4096 mai    3  2012 java-6-openjdk-common
drwxr-xr-x 5 root root 4096 oct.   8 07:14 java-7-openjdk-amd64
lrwxrwxrwx 1 root root   12 mars  13  2012 java-gcj -> java-gcj-4.6
lrwxrwxrwx 1 root root   18 avril 16  2012 java-gcj-4.6 -> java-1.5.0-gcj-4.6
tant que ça marche, je ne cherche pas trop pourquoi !
Signaler au modérateur   parapente Enregistrée
Gej
zéroteur (se)
****
Hors ligne Hors ligne

Aile: poreuse ...
pratique principale: apprends à voler
vols: 300 vols
Messages: 45



« Répondre #73 le: 06 Janvier 2018 - 18:49:59 »

Un point de détail pour la suite:
Il faudrait que l'attribut "exécutable" soit attribué au fichier Logly5.desktop, de façon à pouvoir le copier sur le desktop pour ceux qui veulent des icônes permettant de lancer l'application sur un bureau de type gnome 2. chmod -x je crois ...
Signaler au modérateur   parapente Enregistrée
Aime-P
plouffeur(se)
***
Hors ligne Hors ligne

Aile: 777 P-Light pour le vol-rando et les jours un peu venteux, 777 Rook2 S pour les autres vols
pratique principale: autre (?)
vols: Ca fait longtemps que je ne compte plus mes vols
Messages: 26



« Répondre #74 le: 07 Janvier 2018 - 11:54:08 »


tant que ça marche, je ne cherche pas trop pourquoi !

Quand même, des fois c'est bien de comprendre ce qui se passe.

Si tu lances Logfly via la commande fournie par le package, c'est le JRE embarqué par le package qui est appelé, non ? Cela dit, chez moi ça ne fonctionnait pas avec le JRE embarqué, donc, ma foi, je ne sais pas trop non plus...
Signaler au modérateur   parapente Enregistrée

C'est mieux les Pyrénées. Je maintiens.
Pages: 1 2 [3] 4 5   Haut de page
  Envoyer ce fil  |  Imprimer  
 
Aller à:  

parapente gratuit
Propulsé par MySQL Propulsé par PHP Powered by SMF 1.1.19 | SMF © 2006, Simple Machines XHTML 1.0 Transitionnel valide ! CSS valide !
Page générée en 0.034 secondes avec 24 requêtes.
anything